|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionComboBox Class Reference

The QStyleOptionComboBox class is used to describe the parameter for drawing a combobox. More...

    #include <QStyleOptionComboBox>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Properties

- editable : const bool
- frame : const bool
- popupRect : const QRect

- 2 properties inherited from QStyleOptionComplex
- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionComboBox ()
- QStyleOptionComboBox ( const QStyleOptionComboBox & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionComboBox class is used to describe the parameter for drawing a combobox.

The QStyleOptionComboBox class is used for drawing QComboBox.

## Property Documentation

### editable : const bool

This property holds whether or not the combobox is editable or not.

See also QComboBox::isEditable().

### frame : const bool

This property holds indicates whether whether the combo box has a frame.

### popupRect : const QRect

This property holds the popup rectangle for the combobox.

## Member Function Documentation

### QStyleOptionComboBox::QStyleOptionComboBox ()

Creates a QStyleOptionComboBox. The members variables are initialized to default values.

### QStyleOptionComboBox::QStyleOptionComboBox ( const QStyleOptionComboBox & other )